|  | Home · All Classes · All Functions · Overviews

# Key Class Reference
(QPixmapCache::Key)
[QtGui module]

The QPixmapCache::Key class can be used for efficient access to the QPixmapCache. More...

     #include <QPixmapCache>

This class was introduced in Qt 4.6.

- List of all members, including inherited members

## Public Functions

| Key ()
| ~Key ()

## Detailed Description

The QPixmapCache::Key class can be used for efficient access to the QPixmapCache.

Use QPixmapCache::insert() to receive an instance of Key generated by the pixmap cache. You can store the key in your own objects for a very efficient one-to-one object-to-pixmap mapping.

## Member Function Documentation

### Key::Key ()

Constructs an empty Key object.

### Key::~Key ()

Destroys the key.